Confirm an ISP order
curl --request POST \
--url https://app.proxy.doubledata.com/api/v1/isp/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "23190741-420c-4f90-839a-33b894ab45a0"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quote_id: '23190741-420c-4f90-839a-33b894ab45a0'})
};
fetch('https://app.proxy.doubledata.com/api/v1/isp/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/orders"
payload := strings.NewReader("{\n \"quote_id\": \"23190741-420c-4f90-839a-33b894ab45a0\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/orders"
payload = { "quote_id": "23190741-420c-4f90-839a-33b894ab45a0" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"amount_cents": 2,
"recurring_cents": 2,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"status_url": "<string>"
}
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "insufficient_balance",
"message": "The organization balance cannot cover this order. Add funds on the website and try again.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Catalog and orders
Confirm an ISP order
Charge your wallet for a valid quote, then start asynchronous proxy setup. Confirming the same quote again never charges twice.
POST
https://app.proxy.doubledata.com/api/v1
/
isp
/
orders
Confirm an ISP order
curl --request POST \
--url https://app.proxy.doubledata.com/api/v1/isp/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "23190741-420c-4f90-839a-33b894ab45a0"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quote_id: '23190741-420c-4f90-839a-33b894ab45a0'})
};
fetch('https://app.proxy.doubledata.com/api/v1/isp/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/orders"
payload := strings.NewReader("{\n \"quote_id\": \"23190741-420c-4f90-839a-33b894ab45a0\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/orders"
payload = { "quote_id": "23190741-420c-4f90-839a-33b894ab45a0" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"amount_cents": 2,
"recurring_cents": 2,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"status_url": "<string>"
}
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "insufficient_balance",
"message": "The organization balance cannot cover this order. Add funds on the website and try again.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}